<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<!-- GENERAL INFORMATION -->
	<groupId>es.bsc.conn</groupId>
	<artifactId>vmm-conn</artifactId>
	<packaging>jar</packaging>
	<parent>
		<groupId>es.bsc</groupId>
		<artifactId>conn</artifactId>
		<version>1.6</version>
		<!-- <relativePath>..</relativePath> -->
	</parent>

	<!-- PROJECT INFORMATION -->
	<name>COMPSs Connector VMM</name>
	<description>COMPSs Connector VMM</description>
	<url>http://compss.bsc.es</url>
	<inceptionYear>2015</inceptionYear>
	<licenses>
		<license>
			<name>Apache License, Version 2.0</name>
			<url>http://www.apache.org/licenses/LICENSE-2.0.html</url>
		</license>
	</licenses>
	<organization>
		<name>BSC</name>
		<url>http://www.bsc.es</url>
	</organization>


	<!-- PROPERTIES -->
	<properties>
		<jersey-client.version>1.6</jersey-client.version>
		<json.version>20090211</json.version>
	</properties>

	<!-- DEPENDENCIES -->
	<dependencies>
		<!-- VMM -->
		<dependency>
			<groupId>es.bsc.conn-clients</groupId>
			<artifactId>vmm-client</artifactId>
			<version>${conn-clients.version}</version>
		</dependency>

		<!-- Conn commons -->
		<dependency>
			<groupId>es.bsc.conn</groupId>
			<artifactId>commons-conn</artifactId>
		</dependency>

		<!-- JUnit -->
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<scope>test</scope>
		</dependency>

		<!-- Log4j -->
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-core</artifactId>
                        <scope>provided</scope>
		</dependency>
	</dependencies>

	<!-- BUILD -->
	<build>
		<finalName>${project.artifactId}</finalName>
		<resources>
			<resource>
				<directory>src/main/resources/</directory>
				<filtering>true</filtering>
			</resource>
		</resources>
		<plugins>
			<!-- Normal Compilation -->
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>${maven-compiler-plugin.version}</version>
				<configuration>
					<source>${maven.compiler.source}</source>
					<target>${maven.compiler.target}</target>
				</configuration>
			</plugin>

			<!-- Crea el Jar amb les dependencies -->
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-shade-plugin</artifactId>
				<version>${maven-shade-plugin.version}</version>
				<executions>
					<execution>
						<phase>package</phase>
						<goals>
							<goal>shade</goal>
						</goals>
						<configuration>
							<finalName>${project.artifactId}</finalName>
						</configuration>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>
</project>
